Subject: Re: linux-next: manual merge of the akpm-current tree with the vhost tree

From: "Michael S. Tsirkin" <[email-masked]>
Date: Tue, 10 Mar 2020 05:04:56 -0400

On Tue, Mar 10, 2020 at 09:39:21AM +0100, David Hildenbrand wrote:
> On 10.03.20 09:02, Stephen Rothwell wrote:
> > Hi all,
> > 
> > Today's linux-next merge of the akpm-current tree got a conflict in:
> > 
> >   drivers/virtio/virtio_balloon.c
> > 
> > between commit:
> > 
> >   b5769cdc14fc ("virtio-balloon: Switch back to OOM handler for VIRTIO_BALLOON_F_DEFLATE_ON_OOM")
> > 
> > from the vhost tree and commits:
> > 
> >   b64c4d5bea98 ("virtio-balloon: pull page poisoning config out of free page hinting")
> >   80c03575431c ("virtio-balloon: add support for providing free page reports to host")
> > 
> > from the akpm-current tree.
> > 
> > I looked at the conflict for a while but could not easily see how to
> > reconcile it, so I decided to revert the vhost tree commit for today.
> > Some advice would be appreciated.
> > 
> 
> Yes, the free page reporting features are currently in Andrews tree and
> most probably won't go via the vhost tree due to the core-mm changes.
> Ideally, the VIRTIO_BALLOON_F_DEFLATE_ON_OOM fix would go in unchanged,
> because some people might be interested in backporting it (it's not a
> stable fix, though).
> 
> I think rebasing any way round shouldn't be too hard.
> 
> @Alex, Michael, what's your thought on this?

I propose rebasing on top of the akpm tree and merging through there.
David could you do the rebase pls? I'll review and ack.

While there, keeping virtio_balloon_unregister_shrinker and
virtio_balloon_register_shrinker around might be a good idea to
minimize backporting pain.

> -- 
> Thanks,
> David / dhildenb